var
  a,b,c:integer;

begin
  readln(b,c);
  if b+c>=256 then a:=0
  else if b+c<256 then
    begin
      if b>c then a:=256-b else a:=256-c;
    end
  else if b=0 and c=0 then a:=256; end
  else if b=0 then a:=256-c
  else if c=0 then a:=256-b;
  writeln(a);
  readln;
end.